summaryrefslogtreecommitdiffstats
path: root/development/muon
diff options
context:
space:
mode:
Diffstat (limited to 'development/muon')
-rw-r--r--development/muon/README6
-rw-r--r--development/muon/muon.SlackBuild122
-rw-r--r--development/muon/muon.info10
-rw-r--r--development/muon/slack-desc19
4 files changed, 157 insertions, 0 deletions
diff --git a/development/muon/README b/development/muon/README
new file mode 100644
index 0000000000..61a6583405
--- /dev/null
+++ b/development/muon/README
@@ -0,0 +1,6 @@
+muon (implementation of the meson build system)
+
+muon is an implementation of the meson build system in c99 with
+minimal dependencies. It isn't quite a drop-in replacement for the
+standard meson command; specifically, it doesn't support the
+"meson .." syntax used in most SlackBuild scripts.
diff --git a/development/muon/muon.SlackBuild b/development/muon/muon.SlackBuild
new file mode 100644
index 0000000000..4c913fb6a3
--- /dev/null
+++ b/development/muon/muon.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+
+# Slackware build script for muon
+
+# Copyright 2023 Charadon US
+# Copyright 2023 B. Watson
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 20230829 bkw: BUILD=2
+# - take over maintenance.
+# - add a couple *.md files to the doc dir.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=muon
+VERSION=${VERSION:-0.2.0}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# There isn't a URL that gives the same filename with or without
+# content-disposition...
+tar xvf $CWD/$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+ -Dlibcurl=enabled \
+ -Dlibarchive=enabled \
+ -Dlibpkgconf=enabled \
+ -Dsamurai=disabled \
+ -Dbestline=disabled \
+ -Dstatic=false \
+ -Ddocs=enabled \
+ -Dwebsite=false \
+ -Dtracy=disabled
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+gzip -9 $PKG/usr/man/man*/*
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a *.md LICENSES/* $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/muon/muon.info b/development/muon/muon.info
new file mode 100644
index 0000000000..3b4fc8c7af
--- /dev/null
+++ b/development/muon/muon.info
@@ -0,0 +1,10 @@
+PRGNAM="muon"
+VERSION="0.2.0"
+HOMEPAGE="https://git.sr.ht/~lattis/muon"
+DOWNLOAD="https://git.sr.ht/~lattis/muon/archive/0.2.0.tar.gz"
+MD5SUM="979c60b157018a34bb552dea830bb67e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pkgconf scdoc"
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"
diff --git a/development/muon/slack-desc b/development/muon/slack-desc
new file mode 100644
index 0000000000..6ddf0ed4ad
--- /dev/null
+++ b/development/muon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+muon: muon (implementation of the meson build system)
+muon:
+muon: muon is an implementation of the meson build system in c99 with
+muon: minimal dependencies. It isn't quite a drop-in replacement for the
+muon: standard meson command; specifically, it doesn't support the
+muon: "meson .." syntax used in most SlackBuild scripts.
+muon:
+muon:
+muon:
+muon:
+muon: